package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 窗口评价(自助服务终端,背靠背评价,微官网)枚举类
*
* @author zxfei
*/
public enum PjxtEnum {
    自助服务终端("自助服务终端", "自助服务终端"),
    背靠背评价("背靠背评价", "背靠背评价"),
    微官网("微官网", "微官网");
    private String value;
    private String desc;

    PjxtEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PjxtEnum getByValue(String value) {
        for (PjxtEnum pjxtEnum : PjxtEnum.values()) {
            if (pjxtEnum.getValue() == value) {
                return pjxtEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PjxtEnum item : PjxtEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}